package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TradeOperTypeEnum {
    ADD("ADD","添加"),
    EDIT("EDIT","编辑"),
    SUBMIT("SUBMIT","提交"),
    EXAMINE("EXAMINE","审核"),
    UPDATE("UPDATE","更新"),
    LOSS("LOSS","丢单"),
    APPLY_UPDATE("APPLY_UPDATE","申请修改"),
    EXAMINE_UPDATE("EXAMINE_UPDATE","审核修改"),
    REPLACE_SERVICE("REPLACE_SERVICE","替换业务员"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String value;
}
